# Tempest Workspace

Manages Tempest workspaces

This command is used for managing tempest workspaces

## Commands

### list

Outputs the name and path of all known tempest workspaces

### register

Registers a new tempest workspace via a given `--name` and `--path`

### rename

Renames a tempest workspace from `--old-name` to `--new-name`

### move

Changes the path of a given tempest workspace `--name` to `--path`

### remove

Deletes the entry for a given tempest workspace `--name`

`--rmdir` Deletes the given tempest workspace directory

## General Options

- `--workspace_path`: Allows the user to specify a different location for the workspace.yaml file containing the workspace definitions instead of `~/.tempest/workspace.yaml`

this page last updated: 2024-12-20 12:52:11

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug